library(survival)
dftoydata3<-data.frame(indivID=1:10,time=runif(10,min=0,max=300),status=sample(c(1,2),10,prob=c(0.2,0.8),rep=TRUE))

times.toydata3<-with(dftoydata3, Surv(time, status))

sfit.toydata3<-survfit(times.toydata3~1,dftoydata3)

print(sfit.toydata3,print.rmean=TRUE)
plot(sfit.toydata3,lwd=1,mark.time=TRUE,conf.int=TRUE,xlab="time",ylab="Cumulative survival",cex.lab=1.5,cex=3)
